import base64

from utils.haikang_util import HaikangUtil
import asyncio


with open("75c03e462769c81b6a8513d90ff2a27d.jpg", "rb") as image_file:
    encoded_bytes = base64.b64encode(image_file.read())
    # 解码为字符串（默认为bytes），方便打印或传输
    encoded_str = encoded_bytes.decode('utf-8')
    # print(encoded_str)
    faceGroupIndexCodes = []
    
result = asyncio.run( HaikangUtil.face_group_1vN_search(encoded_str,
                                           faceGroupIndexCodes=faceGroupIndexCodes))

print("测试人脸1vN检索", result)